import { DemensionPagesListInter, DemensionPagesInter } from './../js-pages/types'
import { useRoute } from 'vue-router'
import router from '@/router'
import pagesArr from '@/js-pages'
import dayjs from 'dayjs'
import { config } from '../../config'
import h5JumpApp from './app'



export const $_sendAppFunction = (name: string | number, params: any) => { //跳企业Native
  // eslint-disable-next-line no-undef
  if (systemJudge() == 'Android') {
    winhc[name](params)
  } else {
    // eslint-disable-next-line no-undef
    ocMethod(name, {
      [params]: params
    })
  }
}

export const $downApp = () => { //跳企业Native
  window.location.href = config.downloadAppUrl
  return
}

export const $copyText = (text, back) => {
  $_sendAppFunction('copyText', text)
  // if ($pageType == 'H5') {
  //   return
  // }
  back && back()
}





export const $nameByCompanyName = function (company: string | string[], type: string) {
  let name = type
  if (company && company.indexOf('有限合伙') != -1) {
    if (type == '法定代表人') {
      name = '执行事务合伙人'
    } else if (type == '股东信息') {
      name = '合伙人信息'
    } else if (type == '持股比例') {
      name = '出资比例'
    }
  }
  return name
}


//打开图片
export const $openImg = (img: string) => {
  console.log(img)
}
//时间格式化
export const $dateFormat = (date: string) => {
  return dayjs(date).format('YYYY-MM-DD')
}
//跳转企业
export const $goCompany = (companyName: string, companyId: string) => {
  console.log(companyName, companyId)
}

//跳APP内部页面
export const $goInnerPage = (page: string, comopanyName = '', monitorId = '0') => {
  console.log(page, comopanyName, monitorId)
}

//是否是企业
export const $isCompanyClass = (companyId: string) => {
  if (companyId) {
    return 'link'
  }
  return ''
}

//选择匹配的企业维度
export const $getDemension = (routerName?: string) => {
  console.log(routerName)

  const route = useRoute()
  console.log(route.params.routerName)

  const allDemensionArr = [] as DemensionPagesListInter[]
  const demensionArr = (arr: any[]): DemensionPagesInter[] => {
    return arr.reduce((total, item: any) => item.list ? demensionArr(item.list) : allDemensionArr.push(item), [])
  }
  demensionArr(pagesArr)
  const selectDemension = allDemensionArr.find(item => (routerName ? `${routerName}` : route.params.routerName) === `${item.routing}`)!

  return {
    selectDemension,
    allDemensionArr
  }
}

export const $goDetail = (url:string,type?:string)=>{//跳详情
  let tempUrl = url + (url.indexOf('?') == -1 ? '?' : '&') + 'sessionId=' + localStorage.getItem('qccSessionId')
  if(type == 'ws'){
      tempUrl += '&immersion=all'
  }
  
  //开发环境直接跳转
  if(import.meta.env.MODE === 'development'){
    router.push('/'+url)
    return
  }

  // console.log('tempUrl=', tempUrl)
  // if (new h5JumpApp().systemJudge() == 'Android') {
  //     if(type == 'ws'){
  //         winhc.openLegalServiceWebPage(config.commonUrl + tempUrl,"Y")
  //     }else{
  //         winhc.qccDetail(tempUrl)
  //     }
  // } else {
  //     if(type == 'ws'){//文书详情是自定义头部
  //         const obj = {
  //             pageUrl: config.commonUrl + tempUrl, // 页面打开连接
  //             immersion:'all'  //是否是沉浸式标题， Y  是沉浸式
  //         }
  //         new h5JumpApp().ocMethod('openPageWithShareBtn', obj)
  //     }else{
  //       new h5JumpApp().ocMethod('qccDetail', {
  //             "url": tempUrl,
  //         })
  //     }
     
  // }
}

//跳转外部URL
export const $goOuterUrl = (url: string) => {
  window.open(url)
}
